Last Comment Bug 544319 - Malian registrar (.ml) allows second-level domains
: Malian registrar (.ml) allows second-level domains
Status: RESOLVED FIXED
: fixed1.9.0.19
Product: Core
Classification: Components
Component: Networking (show other bugs)
: unspecified
: All All
: -- normal with 1 vote (vote)
: ---
Assigned To: Pam Greene
:
: Patrick McManus [:mcmanus]
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-04 12:08 PST by Pam Greene
Modified: 2010-03-08 11:32 PST (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
.2-fixed
.9-fixed


Attachments
Changes to .ml listing (504 bytes, patch)
2010-02-08 16:28 PST, Pam Greene
gerv: review+
mbeltzner: approval1.9.2.2+
mbeltzner: approval1.9.1.9+
mbeltzner: approval1.9.0.19+
Details | Diff | Splinter Review

Description Pam Greene 2010-02-04 12:08:09 PST
Although the registration document for Mali at http://www.gobin.info/domainname/ml-template.doc requires an organizational second-level identifier (.com.ml, .org.ml, etc.), in practice there are at least a few primary second-level domains. For example,

http://www.att2007.ml/
http://www.cmdt.ml/
http://www.essor.ml/
http://www.google.ml/
http://www.ortm.ml/

The current "*.ml" rule interferes with cookies set by these sites. The possible organizational identifiers should be obtained (from the registrar if possible, from Wikipedia or empirically otherwise) and the effective_tld_names.dat file updated accordingly with a more specific list.
Comment 1 Pam Greene 2010-02-08 16:28:37 PST
Created attachment 425897 [details] [diff] [review]
Changes to .ml listing

Here's a patch with the list from Wikipedia, plus "gouv.ml" observed empirically. This list matches what I've seen in a somewhat complete, but certainly not exhaustive, survey of .ml sites found by a certain well-known search engine (search for site:.ml).
Comment 2 Gervase Markham [:gerv] 2010-02-10 05:06:52 PST
Comment on attachment 425897 [details] [diff] [review]
Changes to .ml listing

r=gerv.

Gerv
Comment 3 Pam Greene 2010-02-10 10:14:34 PST
Thanks, Gerv. Adding checkin-needed, as I'm not Hg-enabled.
Comment 4 Gervase Markham [:gerv] 2010-02-11 05:40:50 PST
Fixed on trunk:
http://hg.mozilla.org/mozilla-central/rev/ec019978e8dc

Gerv
Comment 5 Mike Beltzner [:beltzner, not reading bugmail] 2010-02-22 10:19:13 PST
Comment on attachment 425897 [details] [diff] [review]
Changes to .ml listing

a=beltzner for all branches
Comment 6 Gervase Markham [:gerv] 2010-03-08 08:39:50 PST
1.9.0:

Checking in netwerk/dns/src/effective_tld_names.dat;
/cvsroot/mozilla/netwerk/dns/src/effective_tld_names.dat,v  <--  effective_tld_names.dat
new revision: 1.17; previous revision: 1.16
done

1.9.1:

hg commit -u 'Pam Greene <pamg.bugs@gmail.com>'  netwerk/dns/src/effective_tld_names.dat
netwerk/dns/src/effective_tld_names.dat
committed changeset 26809:553f6cee1469

1.9.2 is not green :-(

Gerv
Comment 7 Gervase Markham [:gerv] 2010-03-08 11:32:12 PST
1.9.2:

hg commit -u 'Pam Greene <pamg.bugs@gmail.com>'  netwerk/dns/src/effective_tld_names.dat
netwerk/dns/src/effective_tld_names.dat
committed changeset 33681:ff17dfa4e395

http://hg.mozilla.org/releases/mozilla-1.9.2/rev/ff17dfa4e395

Gerv

Note You need to log in before you can comment on or make changes to this bug.